com.taosdata.jdbc.ws.stmt2.entity

## Class RequestFactory

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.RequestFactory

    public class RequestFactory
    extends Object

generate id for request

### Method Summary

All Methods Static Methods Concrete Methods
`static Request` `generateClose(long stmtId, long reqId)`
`static Request` `generateExec(long stmtId, long reqId)`
`static Request` `generateInit(long reqId, boolean singleStbInsert, boolean singleTableBindOnce)`
`static Request` `generatePrepare(long stmtId, long reqId, String sql)`
`static Request` `generateUseResult(long stmtId, long reqId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### generateInit

    public static Request generateInit(long reqId,
                                       boolean singleStbInsert,
                                       boolean singleTableBindOnce)

#### generatePrepare

    public static Request generatePrepare(long stmtId,
                                          long reqId,
                                          String sql)

#### generateExec

    public static Request generateExec(long stmtId,
                                       long reqId)

#### generateClose

    public static Request generateClose(long stmtId,
                                        long reqId)

#### generateUseResult

    public static Request generateUseResult(long stmtId,
                                            long reqId)